<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>

<!--
<copyright>

Copyright (c) 2008-2010 See4sys, itemis and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the Eclipse Public License v2.0
which accompanies this distribution, and is available at
https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

Contributors:
    See4sys - Initial API and implementation
    itemis - [413237] Sphinx EMF validation problem marker should subtype org.eclipse.emf.validation.problem

</copyright>
-->

<plugin>
   <extension
         point="org.eclipse.emf.validation.validationListeners">
      <listener
            class="org.eclipse.sphinx.emf.validation.listeners.CachedDataCleaner">
      </listener>
   </extension>

   <extension
         id="sphinx.emf.validation.problem.marker"
         name="%sphinx.emf.validation.problem.marker.name"
         point="org.eclipse.core.resources.markers">
      <super type="org.eclipse.core.resources.problemmarker"/>
      <super type="org.eclipse.core.resources.textmarker"/>
      <super type="org.eclipse.emf.validation.problem"/>
      <persistent value="true" />
   </extension>
   <extension
         point="org.eclipse.core.runtime.preferences">
      <initializer
            class="org.eclipse.sphinx.emf.validation.preferences.ValidationPreferenceInitializer">
      </initializer>
   </extension>

</plugin>
